- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# oneview_ethernet_network_info – Retrieve the information about one or more of the OneView Ethernet Networks

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Retrieve the information about one or more of the Ethernet Networks from OneView.

- This module was called `oneview_ethernet_network_facts` before Ansible 2.9, returning `ansible_facts`. Note that the oneview_ethernet_network_info module no longer returns `ansible_facts`!

Aliases: oneview_ethernet_network_facts

## Requirements

The below requirements are needed on the host that executes this module.

- hpOneView >= 2.0.1

- python >= 2.7.9

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config path |  | Path to a .json configuration file containing the OneView client configuration. The configuration file is optional and when used should be present in the host running the ansible commands. If the file path is not provided, the configuration will be loaded from environment variables. For links to example configuration files or how to use the environment variables verify the notes section.
name - |  | Ethernet Network name.
options - |  | List with options to gather additional information about an Ethernet Network and related resources. Options allowed: `associatedProfiles` and `associatedUplinkGroups`.
params dictionary |  | List of params to delimit, filter and sort the list of resources. params allowed: - `start`: The first item to return, using 0-based indexing. - `count`: The number of resources to return. - `filter`: A general filter/query string to narrow the list of items returned. - `sort`: The sort order of the returned data set.

## Notes

Note

- A sample configuration file for the config parameter can be found at: https://github.com/HewlettPackard/oneview-ansible/blob/master/examples/oneview_config-rename.json

- Check how to use environment variables for configuration at: https://github.com/HewlettPackard/oneview-ansible#environment-variables

- Additional Playbooks for the HPE OneView Ansible modules can be found at: https://github.com/HewlettPackard/oneview-ansible/tree/master/examples

- The OneView API version used will directly affect returned and expected fields in resources. Information on setting the desired API version and can be found at: https://github.com/HewlettPackard/oneview-ansible#setting-your-oneview-version

## Examples

    - name: Gather information about all Ethernet Networks
      oneview_ethernet_network_info:
        config: /etc/oneview/oneview_config.json
      delegate_to: localhost
      register: result

    - debug:
        msg: "{{ result.ethernet_networks }}"

    - name: Gather paginated and filtered information about Ethernet Networks
      oneview_ethernet_network_info:
        config: /etc/oneview/oneview_config.json
        params:
          start: 1
          count: 3
          sort: 'name:descending'
          filter: 'purpose=General'
      delegate_to: localhost
      register: result

    - debug:
        msg: "{{ result.ethernet_networks }}"

    - name: Gather information about an Ethernet Network by name
      oneview_ethernet_network_info:
        config: /etc/oneview/oneview_config.json
        name: Ethernet network name
      delegate_to: localhost
      register: result

    - debug:
        msg: "{{ result.ethernet_networks }}"

    - name: Gather information about an Ethernet Network by name with options
      oneview_ethernet_network_info:
        config: /etc/oneview/oneview_config.json
        name: eth1
        options:
          - associatedProfiles
          - associatedUplinkGroups
      delegate_to: localhost
      register: result

    - debug:
        msg: "{{ result.enet_associated_profiles }}"
    - debug:
        msg: "{{ result.enet_associated_uplink_groups }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
enet_associated_profiles dictionary | When requested, but can be null. | Has all the OneView information about the profiles which are using the Ethernet network.
enet_associated_uplink_groups dictionary | When requested, but can be null. | Has all the OneView information about the uplink sets which are using the Ethernet network.
ethernet_networks dictionary | Always, but can be null. | Has all the OneView information about the Ethernet Networks.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Felipe Bulsoni (@fgbulsoni)

- Thiago Miotto (@tmiotto)

- Adriane Cardozo (@adriane-cardozo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.